%if 0%{?fedora}
# Python 3 does not seem to be supported yet, see https://github.com/dreamhost/sphinxcontrib-pecanwsme/pull/14
%global with_python3 0
%endif

%global pypi_name sphinxcontrib-pecanwsme

Name:           python-%{pypi_name}
Version:        0.8.0
Release:        3%{?dist}
Summary:        Extension to Sphinx for documenting APIs built with Pecan and WSME

License:        ASL 2.0
URL:            https://github.com/dreamhost/sphinxcontrib-pecanwsme
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This is an extension to Sphinx (http://sphinx-doc.org/) for documenting APIs
built with the Pecan WSGI object-dispatching web framework and WSME
(Web Services Made Easy).

%package -n python2-%{pypi_name}
Summary:        Extension to Sphinx for documenting APIs built with Pecan and WSME
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Requires: python-sphinxcontrib-httpdomain

%description -n python2-%{pypi_name}
This is an extension to Sphinx (http://sphinx-doc.org/) for documenting APIs
built with the Pecan WSGI object-dispatching web framework and WSME
(Web Services Made Easy).

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Extension to Sphinx for documenting APIs built with Pecan and WSME
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires: python3-sphinxcontrib-httpdomain

%description -n python3-%{pypi_name}
This is an extension to Sphinx (http://sphinx-doc.org/) for documenting APIs
built with the Pecan WSGI object-dispatching web framework and WSME
(Web Services Made Easy).
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/sphinxcontrib/pecanwsme
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/sphinxcontrib/pecanwsme
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/*-nspkg.pth
%endif

%changelog
* Mon Jun 20 2016 Javier Peña <jpena@redhat.com> - 0.8.0-3
- Added BR on python-setuptools
* Mon Jan 11 2016 Javier Peña <jpena@redhat.com> - 0.8.0-2
- Expanded description
- Improved macro usage
* Wed Nov 18 2015 jpena <jpena@redhat.com> - 0.8.0-1
- Initial package.
